Name:          cbindgen
Version:       0.7.1
Release:       1mamba
Summary:       A project for generating C bindings from Rust code
Group:         Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/eqrion/cbindgen
## GITSOURCE https://github.com/eqrion/cbindgen.git v0.6.7
Source:        https://github.com/eqrion/cbindgen.git/v%{version}/cbindgen-%{version}.tar.bz2
License:       MPL 2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
## AUTOBUILDREQ-END
BuildRequires: rust-bin
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
A project for generating C bindings from Rust code.

%debug_package

%prep
%setup -q

%build
cargo build --release

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
install -D -m0755 target/release/cbindgen %{buildroot}%{_bindir}/cbindgen

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/cbindgen
%doc LICENSE

%changelog
* Mon Jan 28 2019 Automatic Build System <autodist@mambasoft.it> 0.7.1-1mamba
- automatic version update by autodist

* Tue Jan 08 2019 Automatic Build System <autodist@mambasoft.it> 0.6.8-1mamba
- automatic version update by autodist

* Thu Jan 03 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6.7-1mamba
- package created using the webbuild interface
